/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

package com.cosmodas.EntCosmos;

import java.io.Serializable;
import java.math.BigInteger;
import javax.persistence.Basic;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.NamedQueries;
import javax.persistence.NamedQuery;
import javax.persistence.Table;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import javax.xml.bind.annotation.XmlRootElement;

/**
 * @author obper
 */
@Entity
@Table(name = "ZonasVsActual")
@XmlRootElement
@NamedQueries({
        @NamedQuery(name = "Presult.findAll", query = "SELECT p FROM Presult p"),
        @NamedQuery(name = "Presult.ropaInterior", query = "SELECT p FROM Presult p WHERE p.diferiencias <> 0 AND p.productoCodigo BETWEEN '40000' AND '49999'"),
        @NamedQuery(name = "Presult.findByProductoCodigo", query = "SELECT p FROM Presult p WHERE p.productoCodigo = :productoCodigo"),
        @NamedQuery(name = "Presult.findByProductoNombre", query = "SELECT p FROM Presult p WHERE p.productoNombre = :productoNombre"),
        @NamedQuery(name = "Presult.findByExistenciaActual", query = "SELECT p FROM Presult p WHERE p.existenciaActual = :existenciaActual"),
        @NamedQuery(name = "Presult.findByUnidades", query = "SELECT p FROM Presult p WHERE p.unidades = :unidades"),
        @NamedQuery(name = "Presult.findByDiferiencias", query = "SELECT p FROM Presult p WHERE p.diferiencias = :diferiencias"),
        @NamedQuery(name = "Presult.findByExedente", query = "SELECT p FROM Presult p WHERE p.exedente = :exedente"),
        @NamedQuery(name = "Presult.findByFaltante", query = "SELECT p FROM Presult p WHERE p.faltante = :faltante")})
public class Presult implements Serializable {
    private static final long serialVersionUID = 1L;
    @Basic(optional = false)
    @NotNull
    @Size(min = 1, max = 5)
    @Column(name = "producto_codigo")
    @Id
    private String productoCodigo;
    @Basic(optional = false)
    @NotNull
    @Size(min = 1, max = 75)
    @Column(name = "producto_nombre")
    private String productoNombre;
    @Basic(optional = false)
    @NotNull
    @Column(name = "existenciaActual")
    private int existenciaActual;
    @Basic(optional = false)
    @NotNull
    @Column(name = "unidades")
    private BigInteger unidades;
    @Basic(optional = false)
    @NotNull
    @Column(name = "diferiencias")
    private BigInteger diferiencias;
    @Basic(optional = false)
    @NotNull
    @Size(min = 1, max = 32)
    @Column(name = "exedente")
    private String exedente;
    @Basic(optional = false)
    @NotNull
    @Size(min = 1, max = 32)
    @Column(name = "faltante")
    private String faltante;

    public Presult() {
    }

    public String getProductoCodigo() {
        return productoCodigo;
    }

    public void setProductoCodigo(String productoCodigo) {
        this.productoCodigo = productoCodigo;
    }

    public String getProductoNombre() {
        return productoNombre;
    }

    public void setProductoNombre(String productoNombre) {
        this.productoNombre = productoNombre;
    }

    public int getExistenciaActual() {
        return existenciaActual;
    }

    public void setExistenciaActual(int existenciaActual) {
        this.existenciaActual = existenciaActual;
    }

    public BigInteger getUnidades() {
        return unidades;
    }

    public void setUnidades(BigInteger unidades) {
        this.unidades = unidades;
    }

    public BigInteger getDiferiencias() {
        return diferiencias;
    }

    public void setDiferiencias(BigInteger diferiencias) {
        this.diferiencias = diferiencias;
    }

    public String getExedente() {
        return exedente;
    }

    public void setExedente(String exedente) {
        this.exedente = exedente;
    }

    public String getFaltante() {
        return faltante;
    }

    public void setFaltante(String faltante) {
        this.faltante = faltante;
    }

}
